body {
    background-color: #f0f0f0;
    font-family: 'Helvetica', 'Arial', sans-serif;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
    color: #414040;
}


.custom-navbar .navbar-brand {
    color: black;
    font-size: 1.5rem;
    font-weight: bold;
}

.custom-navbar .navbar-toggler {
    border: none;
}

.custom-navbar .navbar-toggler-icon {
    background-color: #ffffff;
}

.custom-navbar .navbar-nav .nav-link {
    color: black;
    font-weight: bold;
}

.custom-navbar .navbar-nav .nav-link:hover {
    color: #706d6d;
}

.header-color{
    margin-top: 10px;
    margin-bottom: 10px;
    background-color: #ffc107;
}

.hotline-title{
    font-weight: bold;
    text-align: justify;
}


.button-top {
    margin-top: 10px;
    background-color: red;
    color: white;
    border: none;
    border-radius: 25px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s, box-shadow 0.3s;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    animation: shake-scan 2s ease-in-out infinite;
}

.button-top:hover {
    background-color: rgb(252, 53, 53);
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.1);
}

.button-top:active {
    background-color: red;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}


/* Sections */
.section {
    padding: 20px 0;
}

.section-header {
    text-align: center;
    margin-bottom: 30px;
}

.section-header h2 {
    color: #333333;
    /* Dark Gray */
}

.section-content {
    text-align: center;
}

.section-content img {
    max-width: 100%;
    height: auto;
    margin-bottom: 20px;
}

.service-item {
    margin-bottom: 30px;
    text-align: center;
}

.service-item h3 {
    color: #333333;
}

.service-item p {
    color: #666666;
}

.hot-place-1-title {
    padding-top: 5px;
}

.hot-place-2-title {
    margin-top: 5px;
}

.hot-place-3-title {
    margin-top: 5px;
}

.pb-2 {
    padding-bottom: 10px;
}

.card {
    position: relative;
    padding-bottom: 50px;
}

.custom-title-header {
    border: solid 1px white;
    border-radius: 10px;
    background: white;
    padding-top: 10px;
    padding-bottom: 10px;
}

.beautiful-button {
    background-color: #ffc107;
    color: white;
    border: none;
    border-radius: 25px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s, box-shadow 0.3s;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
}

.beautiful-button:hover {
    background-color: #6bff7f;
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.1);
}

.beautiful-button:active {
    background-color: #43e875;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}

@keyframes shake-scan {
    0% {
        transform: translateY(0) rotate(0deg);
    }

    25% {
        transform: translateY(-5px) rotate(-5deg);
    }

    50% {
        transform: translateY(0) rotate(0deg);
    }

    75% {
        transform: translateY(-5px) rotate(5deg);
    }

    100% {
        transform: translateY(0) rotate(0deg);
    }
}

.floating-icons {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 1000;
    animation: shake-scan 2s ease-in-out infinite;
}

.floating-icons a {
    display: block;
    margin-bottom: 10px;
    text-decoration: none;
    color: #fff;
    background-color: white;
    width: 70px;
    height: 70px;
    border-radius: 50%;
    text-align: center;
    line-height: 70px;
}

.phone-icon img,
.zalo-icon img {
    width: 40px;
    height: 40px;
}

.card {
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
    height: 100%;
}

.card:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.section .card .card-img-top {
    width: 100%;
    height: 200px;
    object-fit: cover;
    margin-bottom: 0px;
}

.card-body {
    height: 100%;
}

.card-title {
    font-size: 20px;
    font-weight: bold;
}

.card-text {
    font-size: 14px;
    text-align: justify;
}

@media (max-width: 576px) {
    .section .card .card-img-top {
        height: 300px;
    }
}

.footer {
    background-color: #ffc107; 
    color: #ffffff;
    padding: 20px 0;
    text-align: center;
}

.footer a {
    color: #ffffff;
    text-decoration: none;
    margin: 0 10px;
}

.footer a:hover {
    color: #eeeeee; 
}

.footer .social-icons {
    margin-top: 10px;
}

.footer .social-icons a {
    display: inline-block;
    width: 40px;
    height: 40px;
    margin: 0 5px;
    background-color: #ffffff; 
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    color: #2ecc71; 
    transition: background-color 0.3s, color 0.3s;
}

.footer .social-icons a:hover {
    background-color: #6bff7f;
    color: #ffffff; 
}

.footer .social-icons img {
    width: 20px;
    height: 20px;
}

@media (max-width: 576px) {
    .footer {
        text-align: left;
        padding: 20px;
    }
}

.embed-responsive {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%; 
}

.embed-responsive iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}


.embed-responsive::before {
    display: block;
    content: "";
}

.embed-responsive .embed-responsive-item,
.embed-responsive iframe,
.embed-responsive embed,
.embed-responsive object,
.embed-responsive video {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

@media (min-width: 576px) {
    .embed-responsive {
        height: 0;
        padding-bottom: 56.25%; 
    }
}

@media (min-width: 768px) {
    .embed-responsive {
        height: 0;
        padding-bottom: 80%; 
    }
}

@media (min-width: 992px) {
    .embed-responsive {
        height: 0;
        padding-bottom: 142%; 
    }
}

@media (min-width: 1200px) {
    .embed-responsive {
        height: 0;
        padding-bottom: 114%; 
    }
}

@media (min-width: 1400px) {
    .embed-responsive {
        height: 0;
        padding-bottom: 98%; 
    }
}